Logo
OpenScaler
API DocumentationLoad Balancers

Get Load Balancer Info

GET
/v1/lbs/{lb_id}

Retrieve detailed information about a load balancer by its ID.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

lb_id*string

A unique identifier for a load balancer instance.

Formatuuid

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000"
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "name": "my-lb",  "description": "Production load balancer",  "user_id": "usr_abc123",  "project_id": "default",  "size": "small",  "region": "alg1",  "visibility": "public",  "status": "ready",  "state": "running",  "network": {},  "created_at": "2024-06-01T12:00:00Z",  "updated_at": "2024-06-15T08:30:00Z"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}